Bug 56881 - No postscript output when trying to print to HP LaserJet 5M
No postscript output when trying to print to HP LaserJet 5M
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: foomatic (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-29 09:18 EST by Bernd Bartmann
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-18 17:57:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2001-11-29 09:18:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
I get no output when trying to print to my HP LaserJet 5M. The printer 
shows on its panel that its gets some data, but nothing happens. After 
some seconds the printer shows READY. I've already installed the foomatic-
1.1-0.20011018.7 update. I used printconf-gui to setup the printer using 
JetDirect network print server. I tried different printer drivers: 
Postscript, Text, HP LAserJet 5M -> Postscript, HP LaserJet 5 -> all 
drivers. I also tested the different options for every printer driver: 
Regenerate Postscript, Ghostscript Prefiltering Postscript Level 1 and 2. 
Simple text printing seems to work. But all of my postscript jobs are 
being ignored (postscript test page or a2ps)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use printconf-gui to setup a HP LaserJet 5M via JetDirect
2. try to print a postscript job
3.
	

Additional info:
Comment 1 Bernd Bartmann 2001-11-30 07:23:08 EST
Please also have a look at bug number 56892. My system is also setup in german.
Comment 2 Need Real Name 2001-11-30 09:06:09 EST
Yes, maybe it is related with bug 56892. Just try it with another locale, while logging in with the gdm chooser and we will see...
Comment 3 Need Real Name 2001-11-30 16:34:57 EST
Just take the simplest locale POSIX/C (to be found in the menu language/other), otherwise a segmentation fault will occur, more information at bug 56892 .
Comment 4 Bernd Bartmann 2001-12-01 08:48:52 EST
Sorry, but changing the locale doesn't help for me. Still the printer gets some
data, but nothing is printed at all. And a2ps seems not to be the problem as I
can use gv to view the postscript output without any problem.
Comment 5 Aaron Brown 2001-12-01 10:09:49 EST
FWIW, with the latest tree, I had no problems printing to our HP Laserjet 6p,
which is 
connected to a JetDirect.
Comment 6 Bernd Bartmann 2001-12-01 15:43:00 EST
Weird. I just deleted my printer setup via printconf-gui. Afterwards I recreated
my printer as standard postscript and remote LPD and now everything works
without any problem. Even a2ps Postscript output is printed correctly.
Comment 7 Tim Waugh 2002-01-08 12:52:02 EST
Perhaps it was a bad cache value or something.  Okay, closing.  Odd though..

Note You need to log in before you can comment on or make changes to this bug.